# Generated by using Rcpp::compileAttributes() -> do not edit by hand
# Generator token: 10BE3573-1514-4C36-9D1C-5A225CD40393

#' Logit transformation of a matrix
#'
#' @param x input matrix
#' @return the element wise logit transformation of x
#' @export
logit_mat <- function(x) {
    .Call(`_flmem_logit_mat`, x)
}

#' Logit transformation of a vector
#'
#' @param x input vector
#' @return the element wise logit transformation of x
#' @export
logit_vec <- function(x) {
    .Call(`_flmem_logit_vec`, x)
}

#' Construct the covariance matrix P of the smoothness inducing prior for the spline coefficients
#'
#' @param K number of spline knots
#' @return covariance of the smoothness inducing prior (penalizing second differences in beta)
#' @export
P_smooth <- function(K) {
    .Call(`_flmem_P_smooth`, K)
}

#' Spline basis
#'
#' Construct the J basis functions for the splines (evaluated on a fine grid)
#'
#' @param xgrid grid where we want to evaluate the spline functions
#' @param knots vector of knots for the splines
#' @return \eqn{(T \times K+1)} - matrix representing the value of each basis function
#' @export
B_basis <- function(xgrid, knots) {
    .Call(`_flmem_B_basis`, xgrid, knots)
}

#' Functional Logistic Mixed Effects Model
#'
#' Binomial logistic nonparametric model with random effects, fitting a global curve \eqn{mu(t)} on the logit scale via penalized B-splines plus a random effect, i.e.
#'     \eqn{logit(\pi_i(t)) = \mu(t) + \xi(t) \eta_i}
#'
#' @param y vector of observations (number of observed successes for each individual n = 1, ..., N, for each time point t = 1, ..., T)
#' @param X matrix of fixed covariates (in the spline case, it is just the vector of time points corresponding to y expanded on the Spline basis)
#' @param Z matrix of random effects (in the spline case, it is just the vector of time points corresponding to y expanded on the Spline basis)
#' @param ind vector of identifiers for the individuals, corresponding to the observations y (ind_i == j means that y_i is associated to the individual j)
#' @param ni vector of number of trials
#' @param time vector of time indicators for each observation y
#' @param x_grid matrix of the grid where to evaluate the function \eqn{\mu(t)} expanded on the Spline basis)
#' @param z_grid matrix of the grid where to evaluate the function \eqn{\xi(t)} expanded on the Spline basis)
#' @param hypers hyperparameters (P, a_beta, b_beta)
#' @param Niter number of iterations
#' @param burnin burnin length
#' @param thin thinning factor
#' @return object with MCMC output
#' * `beta`: posterior distribution of the spline coefficients
#' * `sigma2_b`: variance of the betas (smoothness penalty)
#' * `pi`: curve on the probability scale (evaluated on x_grid)
#' * `mu`: curve on the logit scale (evaluated on x_grid)
#' * `sigma2_u`: variance of the random effects
#' * `u`: random intercept curves for each individual
#' @export
bin_logit_randspline <- function(y, X, Z, ind, ni, time, x_grid, z_grid, hypers, Niter, burnin, thin) {
    .Call(`_flmem_bin_logit_randspline`, y, X, Z, ind, ni, time, x_grid, z_grid, hypers, Niter, burnin, thin)
}

